class UserMailer < ApplicationMailer
  helper(:mailer)

  def email_verification
    @user = params[:user]
    @token = params[:token]

    mail(to: @user.email, subject: "[Tabletop Companion] Verify your email")
  end

  def email_verified
    @user = params[:user]

    mail(to: @user.email, subject: "[Tabletop Companion] Your email has been verified")
  end
end
